Subject: Re: [PATCH] powerpc/mm: Always invalidate tlb on hpte invalidate and update

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sun, 02 Jun 2013 12:56:54 +0530

Michael Ellerman <[email-masked]> writes:

> On Fri, May 31, 2013 at 04:33:24PM +0530, Aneesh Kumar K.V wrote:
>> From: "Aneesh Kumar K.V" <[email-masked]>
>> 
>> If a hash bucket gets full, we "evict" a more/less random entry from it.
>> When we do that we don't invalidate the TLB (hpte_remove) because we assume
>> the old translation is still technically "valid". This implies that when
>> we are invalidating or updating pte, even if HPTE entry is not valid
>> we should do a tlb invalidate.
>> 
>> Signed-off-by: Aneesh Kumar K.V <[email-masked]>
>
> Has this always been a bug? I assume not.
>
> I'm asking because I have a kernel that's crashing and I'm wondering if
> I might need this commit.

Which config are you seeing the issue ? The changes should not impact
lpar. Can you share more info on crashes. There is a high chance that any crashes
that we are seeing in ppc64 can be the result of THP related changes,
because that did touch some subtle areas like tlb flushing,page table format etc.

-aneesh